VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Functions
VSTGUI::PixelBuffer::Private Namespace Reference

## Functions
template<int8_t bs1, int8_t bs2, int8_t bs3, int8_t bs4>
uint32_t | shuffle (uint32_t input)
template<Format SourceFormat, Format DestinationFormat>
void | convert (uint8_t *buffer, uint32_t bytesPerRow, uint32_t width, uint32_t height)

## Function Documentation

## ◆ convert()

template<Format SourceFormat, Format DestinationFormat>

void convert | ( | uint8_t * | buffer,
|  | uint32_t | bytesPerRow,
|  | uint32_t | width,
|  | uint32_t | height )
| inline

## ◆ shuffle()

template<int8_t bs1, int8_t bs2, int8_t bs3, int8_t bs4>

uint32_t shuffle | ( | uint32_t | input | ) |
| inline